//-------------------------------------------------------------------------------------------------
// Rgba.cpp (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.h"
#include "Rgba.h"


//-------------------------------------------------------------------------------------------------
// Static member initialization
//-------------------------------------------------------------------------------------------------
STATIC const Rgba Rgba::WHITE( 1.0f, 1.0f, 1.0f );
STATIC const Rgba Rgba::BLACK( 0.0f, 0.0f, 0.0f );
STATIC const Rgba Rgba::RED( 1.0f, 0.0f, 0.0f );
STATIC const Rgba Rgba::GREEN( 0.0f, 1.0f, 0.0f );
STATIC const Rgba Rgba::BLUE( 0.0f, 0.0f, 1.0f );
STATIC const Rgba Rgba::YELLOW( 1.0f, 1.0f, 0.0f );
STATIC const Rgba Rgba::PURPLE( 1.0f, 0.0f, 1.0f );
STATIC const Rgba Rgba::CYAN( 0.0f, 1.0f, 1.0f );
STATIC const Rgba Rgba::ORANGE( 1.0f, 0.5f, 0.0f );
STATIC const Rgba Rgba::GREY( 0.5f, 0.5f, 0.5f );

STATIC const Rgba Rgba::DARKRED( 0.5f, 0.0f, 0.0f );
STATIC const Rgba Rgba::DARKGREEN( 0.0f, 0.5f, 0.0f );
STATIC const Rgba Rgba::DARKBLUE( 0.0f, 0.0f, 0.5f );
STATIC const Rgba Rgba::DARKYELLOW( 0.5f, 0.5f, 0.0f );
STATIC const Rgba Rgba::DARKPURPLE( 0.5f, 0.0f, 0.5f );
STATIC const Rgba Rgba::DARKCYAN( 0.0f, 0.5f, 0.5f );
STATIC const Rgba Rgba::DARKORANGE( 0.5f, 0.25f, 0.0f );
STATIC const Rgba Rgba::DARKGREY( 0.25f, 0.25f, 0.25f );


