//-------------------------------------------------------------------------------------------------
// enginePublic.h (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
// 
// Engine headers exposed to the game.
//-------------------------------------------------------------------------------------------------
#ifndef _include_enginePublic_
#define _include_enginePublic_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
#include "engineCommon.h"
#include "engineAssert.h"
#include "engineMath.h"
#include "collision.h"
#include "TheApplication.h"
#include "TheConsole.h"
#include "TheVideoSystem.h"
#include "TheRenderer.h"
#include "TheNetwork.h"
#include "TheGameInterfaceAbstract.h"
#include "TheSoundSystem.h"
#include "Timer.h"


#endif // _include_enginePublic_
